Bug 1006917 - Failed repository clone with user and password give plaintext view password in popup and logs
Failed repository clone with user and password give plaintext view password i...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0.0
Assigned To: Alexandre Porcelli
Tomas Livora
:
Depends On:
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-11 09:48 EDT by Eric D. Schabell
Modified: 2014-08-06 16:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:13:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error popup with plaintext password (57.76 KB, image/png)
2013-09-11 09:48 EDT, Eric D. Schabell
no flags Details

  None (edit)
Description Eric D. Schabell 2013-09-11 09:48:11 EDT
Created attachment 796383 [details]
error popup with plaintext password

Description of problem:
When git repository is cloned incorrectly with a password specified, umasked password is shown in error message and logs

Version-Release number of selected component (if applicable):
ER2

How reproducible:
Clone a repo with a bad GIT URI and user and password.

Steps to Reproduce:
1. Clone repository
2. fill in invalid GIT URI
3. fill in user and password
4. submit

Actual results:
Pop up with plain text password and in logs, see below for log message.

Expected results:
No passwords plain text anywhere.

Additional info: (error in logs)
09:43:54,022 ERROR [stderr] (http-localhost/127.0.0.1:8080-2) Message: CommandType=createRepository:java.lang.String:java.lang.String:java.util.Map:, ErrorTo=org.uberfire.backend.repositories.RepositoryService:RPC.createRepository:java.lang.String:java.lang.String:java.util.Map::Errors:16, ReplyTo=org.uberfire.backend.repositories.RepositoryService:RPC.createRepository:java.lang.String:java.lang.String:java.util.Map::RespondTo:16, ToSubject=org.uberfire.backend.repositories.RepositoryService:RPC, MethodParms=[git, testvalidateurl, {username=erics, origin=http://www.schabell.org/fun.git, crypt:password=damnitisplaintext}]
Comment 2 Alexandre Porcelli 2013-09-17 10:35:42 EDT
Fixed on UberFire  master and 0.3.x branches:

https://github.com/droolsjbpm/uberfire/commit/02f718600
https://github.com/droolsjbpm/uberfire/commit/f88cdcdb0
Comment 5 Tomas Livora 2013-10-18 04:58:40 EDT
Verified on BPMS 6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.